#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int main()
{
    long n,x[100001],y[100001],z[100001];
    long s;
    cin>>n;
    for(long  i=0;i<n;i++)
        cin>>x[i];
    for(long i=0;i<n;i++)
        cin>>y[i];
    for(long i=0;i<n;i++)
        cin>>z[i];
    for(long i=0;i<n;i++)
    for(long j=0;j<n;j++)
    {
        if(x[i]==y[j])
            for(long l=0;l<n;l++)
            if(j+1==z[l]){
            s+=1;
            if(x[i+1] == x[i]){
            s+=1;
            if(l==n-1)
                i++;
            }
            }
    }
    cout<<s;
    return 0;
}